using AutoMapper;
using ConverterDTE.Model.Dtos.Response;
using ConvertToDTE.Model;

public class MappingProfile : Profile
{
    public MappingProfile()
    {
        // Mapeo entre las clases DTE y SourceDTE
        CreateMap<DTE_MediPiel, SourceDTE>();

        // Mapeo entre DocumentoMP y SourceDocumento
        CreateMap<DTE_MediPiel.DocumentoMP, SourceDocumento>();

        // Mapeo entre Encabezado y SourceEncabezado
        CreateMap<DTE_MediPiel.Encabezado, SourceEncabezado>();

        // Mapeo entre CAE y SourceCAE
        CreateMap<DTE_MediPiel.CAE, SourceCAE>();

        // Mapeo entre Detalle y SourceDetalle
        CreateMap<DTE_MediPiel.Detalle, SourceDetalle>();

        // Mapeo entre IdDoc y SourceIdDoc
        CreateMap<DTE_MediPiel.IdDoc, SourceIdDoc>();

        // Mapeo entre Personalizados y SourcePersonalizados
        CreateMap<DTE_MediPiel.PersonalizadosMP, SourcePersonalizados>();
    }
}
